PETSc version 3.15.5
Fix/Edit manual page

# VecCreateMPI

Creates a parallel vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateMPI(MPI_Comm comm,PetscInt n,PetscInt N,Vec *v)

Collective

### Input Parameters

| comm | - the MPI communicator to use
| n | - local vector length (or PETSC_DECIDE to have calculated if N is given)
| N | - global vector length (or PETSC_DETERMINE to have calculated if n is given)

### Output Parameter

| vv | - the vector

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### See Also

VecCreateSeq(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost(),
VecCreateMPIWithArray(), VecCreateGhostWithArray(), VecMPISetGhost()

### Level

intermediate

### Location

src/vec/vec/impls/mpi/vmpicr.c

### Examples

src/vec/vec/tutorials/ex1.c.html
src/vec/vec/tutorials/ex11.c.html
src/vec/vec/tutorials/ex42a.c.html
src/vec/vec/tutorials/ex1f.F90.html
src/vec/vec/tutorials/ex1f90.F90.html
src/vec/vec/tutorials/ex2f.F.html
src/vec/vec/tutorials/ex11f.F.html
src/vec/vec/tutorials/ex11f90.F90.html
src/vec/vec/tutorials/ex20f90.F90.html
src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex77.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages